Gentoo Archives: gentoo-dev-announce

From: Christian Hoffmann <hoffie@g.o>
To: gentoo-announce@l.g.o, gentoo-dev-announce@l.g.o, gentoo-dev@l.g.o
Subject: [gentoo-dev-announce] Final removal of php-4*
Date: Fri, 08 Aug 2008 15:35:37
Message-Id: 489C0A2F.5080103@gentoo.org
Heya,

it's August 8th, which is the date of official discontinuation of any 
work on php-4 (even security-related) on upstream-side [1] [2].
On gentoo, =dev-lang/php-4* has already been masked for security reasons 
since Oct 19th 2007, along with everything which depends on it. Removal 
from our tree was initially announced for Jan 1st 2008, but we decided 
to postpone it until today to give users even more time to migrate.

That means, I'm going to remove all php-4-related things today:
   * dev-php4/ (will be done by infra)
   * dev-lang/php/php-4*

Basically: Everything explicitly listed in package.mask because of php-4.

Also, several adjustments to ebuilds, which are still referring to 
dev-php4/* names (e.g. because of blocks or  "|| ( a b )" deps), will be 
made by me today.

If you (or your company) have still not upgraded (you probably should 
not run such a setup anyway, at least if it's publicly accessible), you 
might be interested in the yet to be created php4 overlay [3], which 
will be accessible using layman once it is available.

As always, feel free to contact the php team by mail [4] or IRC 
(Freenode / #gentoo-php).

[1] http://www.php.net/archive/2007.php
[2] http://www.php.net/archive/2008.php#id2008-08-07-1
[3] http://overlays.gentoo.org/proj/php/browser
[4] php-bugs@g.o

-- 
Christian Hoffmann

Attachments

File name MIME type
signature.asc application/pgp-signature